require "multi_json"

require "sinatra/base"
require "sinatra/json"

class App < Sinatra::Base
  helpers Sinatra::JSON

  configure do
    enable :logging
  end

  configure :development do
    require "sinatra/reloader"
    register Sinatra::Reloader
  end

  # in the production env serve compiled index.html file
  configure :production do
    set :public_folder, "public"
  end

  get "/" do
    send_file File.join(settings.public_folder, "index.html")
  end

  get "/api/products.json" do
    json [{name: "iPad"}, {name: "Nexus 7"}, {name: "Samsung S4"}, {name: "Galaxy Note"}]
  end
end
